﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WpfApplication233.ViewModel
{
  public  class Person:INotifyPropertyChanged
    {
      string name = string.Empty;
      public string Name
      {
          get { return name; }
          set { name = value;
          NotifyPropertyChanged("Name");
          }
      }

      string city = string.Empty;
      public string City
      {
          get { return city; }
          set { city = value;
          NotifyPropertyChanged("City");
          }
      }

      int status = 0;
      public int Status
      {
          get { return status; }
          set { status = value;
          NotifyPropertyChanged("Status");
          }
      }

      public event PropertyChangedEventHandler PropertyChanged;
      private void NotifyPropertyChanged(String propertyName)
      {
          if (PropertyChanged != null)
          {
              PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
          }
      }

    }
}
